org.apache.hadoop.yarn.server.api.protocolrecords

## Class CheckForDecommissioningNodesResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.CheckForDecommissioningNodesResponse

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class CheckForDecommissioningNodesResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckForDecommissioningNodesResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Set<NodeId>` | `getDecommissioningNodes()`
    `static CheckForDecommissioningNodesResponse` | `newInstance(Set<NodeId> decommissioningNodes)`
    `abstract void` | `setDecommissioningNodes(Set<NodeId> decommissioningNodes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckForDecommissioningNodesResponse

          public CheckForDecommissioningNodesResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static CheckForDecommissioningNodesResponse newInstance(Set<NodeId> decommissioningNodes)

    - #### setDecommissioningNodes

          public abstract void setDecommissioningNodes(Set<NodeId> decommissioningNodes)

    - #### getDecommissioningNodes

          public abstract Set<NodeId> getDecommissioningNodes()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.